#-----------------------------------------------------------------
QUELL=main.cpp
PROG=main
CC=g++
CFLAGS=-Wall
#-----------------------------------------------------------------
OBJECTS=$(QUELL:.cpp=.o)
all: $(PROG)

$PROG: $(OBJECTS)
	$(CC) $(CFLAGS) $(QUELL) -o$@

%.o: %-cpp
	$(CC) $(CFLAGS) -c $< -o $@
	./main

protokoll.pdf: protokoll.tex Title.tex Header.tex Einleitung.tex Theorie.tex Durchfuehrung.tex Auswertung.tex Diskussion.tex
	pdflatex protokoll.tex
	bibtex protokoll
	pdflatex protokoll.tex
	pdflatex protokoll.tex

clean: 
	rm -f $(PROG) *.o
